if WolfDrivingHUD then
	-- Actual Menu Data table
	WolfDrivingHUD.options_menu_data = {
		type = "menu",
		menu_id = "WolfDrivingHUD_main_options_menu",
		--parent_id = "blt_options",
		name_id = "WolfDrivingHUD_options_name",
		desc_id = "WolfDrivingHUD_options_help",
		position = 3,
		options = {
			{
				type = "multi_choice",
				name_id = "WolfDrivingHUD_language_title",
				desc_id = "WolfDrivingHUD_language_desc",
				options = {
					["english"] = "WolfDrivingHUD_languages_english",
					["german"] = "WolfDrivingHUD_languages_german",
					["french"] = "WolfDrivingHUD_languages_french",
					["italian"] = "WolfDrivingHUD_languages_italian",
					["spanish"] = "WolfDrivingHUD_languages_spanish",
					["polish"] = "WolfDrivingHUD_languages_polish",
					["portuguese"] = "WolfDrivingHUD_languages_portuguese",
					["russian"] = "WolfDrivingHUD_languages_russian",
					["schinese"] = "WolfDrivingHUD_languages_chinese",
					["korean"] = "WolfDrivingHUD_languages_korean",
					["japanese"] = "WolfDrivingHUD_languages_japanese"
				},
				visible_reqs = {},
				enabled_reqs = {},
				value = {"LANGUAGE"},
			},
			{
				type ="divider",
				size = 8,
			},
			{ --DrivingHUD
				type = "menu",
				menu_id = "WolfDrivingHUD_drivinghud_options_menu",
				name_id = "WolfDrivingHUD_drivinghud_options_name",
				desc_id = "WolfDrivingHUD_drivinghud_options_help",
				options = {
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_show_drivinghud_title",
						desc_id = "WolfDrivingHUD_show_drivinghud_desc",
						visible_reqs = {}, enabled_reqs = {},
						value = {"DrivingHUD", "ENABLED"},
					},
					{
						type = "slider",
						name_id = "WolfDrivingHUD_drivinghud_scale_title",
						desc_id = "WolfDrivingHUD_drivinghud_scale_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SCALE"},
						min_value = 0.05,
						max_value = 2,
						step_size = 0.01,
					},
					{
						type = "divider",
						size = 16,
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_show_vehicle_title",
						desc_id = "WolfDrivingHUD_drivinghud_show_vehicle_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SHOW_VEHICLE"},
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_show_health_title",
						desc_id = "WolfDrivingHUD_drivinghud_show_health_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SHOW_HEALTH"},
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_show_loot_title",
						desc_id = "WolfDrivingHUD_drivinghud_show_loot_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SHOW_LOOT"},
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_show_passengers_title",
						desc_id = "WolfDrivingHUD_drivinghud_show_passengers_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SHOW_PASSENGERS"},
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_show_gear_title",
						desc_id = "WolfDrivingHUD_drivinghud_show_gear_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SHOW_GEAR"},
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_show_speed_title",
						desc_id = "WolfDrivingHUD_drivinghud_show_speed_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SHOW_SPEED"},
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_speed_in_mph_title",
						desc_id = "WolfDrivingHUD_drivinghud_speed_in_mph_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
							{ setting = { "DrivingHUD", "SHOW_SPEED" }, invert = false },
						},
						value = {"DrivingHUD", "SPEED_IN_MPH"},
					},
					{
						type = "toggle",
						name_id = "WolfDrivingHUD_drivinghud_show_rpm_title",
						desc_id = "WolfDrivingHUD_drivinghud_show_rpm_desc",
						visible_reqs = {},
						enabled_reqs = {
							{ setting = { "DrivingHUD", "ENABLED" }, invert = false },
						},
						value = {"DrivingHUD", "SHOW_RPM"},
					},
				},
			},
			
		},
	}
end
